Loading...
Searching...
No Matches
dcmtk::log4cplus::NDCContextCreator Class Reference

This class ensures that a `NDC#push` call is always matched with a `NDC#pop` call even in the face of exceptions. More...

## Public Member Functions

| NDCContextCreator (const log4cplus::tstring &msg)
| Pushes `msg` onto the NDC stack.
| ~NDCContextCreator ()
| Pops the NDC stack.

## Detailed Description

This class ensures that a `NDC#push` call is always matched with a `NDC#pop` call even in the face of exceptions.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/ndc.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0